Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZFinishUserRegisterType Class Reference

Event type for finishing register type. More...

Inheritance diagram for eZFinishUserRegisterType:

## Public Member Functions
| __construct ()
| execute ($process, $event)
| typeFunctionalAttributes ()
| attributeDecoder ( $event, $attr)
| attributes ()
Public Member Functions inherited from eZWorkflowEventType
| __construct ( $typeString='', $name='')
| eZWorkflowEventType ( $typeString, $name)
Public Member Functions inherited from eZWorkflowType
| __construct ( $group, $type, $groupName, $name)
| eZWorkflowType ( $group, $type, $groupName, $name)
| hasAttribute ( $attr)
| attribute ( $attr)
| setAttribute ( $attr, $value)
| setTriggerTypes ( $allowedTypes)
| eventDescription ()
| initializeEvent ( $event)
| validateHTTPInput ( $http, $base, $event, &$validation)
| fixupHTTPInput ( $http, $base, $event)
| fetchHTTPInput ( $http, $base, $event)
| setActivationDate ( $date)
| setInformation ( $inf)
| needCleanup ()
| cleanupAfterRemoving ( $attr=array())
| cleanup ( $process, $event)
| customWorkflowEventHTTPAction ( $http, $action, $workflowEvent)
| workflowEventContent ( $event)
| storeEventData ( $event, $version)
| storeDefinedEventData ( $event)
| isAllowed ( $moduleName, $functionName, $connectType)

## Public Attributes
const | WORKFLOW_TYPE_STRING = "ezfinishuserregister"
Public Attributes inherited from eZWorkflowType
| $Attributes
const | STATUS_NONE = 0
const | STATUS_ACCEPTED = 1
const | STATUS_REJECTED = 2
const | STATUS_DEFERRED_TO_CRON = 3
const | STATUS_DEFERRED_TO_CRON_REPEAT = 4
const | STATUS_RUN_SUB_EVENT = 5
const | STATUS_WORKFLOW_CANCELLED = 6
const | STATUS_FETCH_TEMPLATE = 7
const | STATUS_FETCH_TEMPLATE_REPEAT = 8
const | STATUS_REDIRECT = 10
const | STATUS_WORKFLOW_DONE = 9
const | STATUS_REDIRECT_REPEAT = 11
const | STATUS_WORKFLOW_RESET = 12
| $Group
| $Type
| $TypeString
| $GroupName
| $Name
| $ActivationDate
| $Information
| $TriggerTypes = array( '*' => true )

## Additional Inherited Members
Static Public Member Functions inherited from eZWorkflowEventType
static | registerEventType ( $typeString, $class_name)
Static Public Member Functions inherited from eZWorkflowType
static | statusName ( $status)
static | createType ( $typeString)
static | fetchRegisteredTypes ()
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | registerType ( $group, $type, $class_name)
static | loadAndRegisterType ( $typeString)
static | statusNameMap ()

## Detailed Description

Event type for finishing register type.

Definition at line 16 of file ezfinishuserregistertype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZFinishUserRegisterType::__construct | ( |  | ) |

Definition at line 20 of file ezfinishuserregistertype.php.

References eZWorkflowType\setTriggerTypes(), ezpI18n\tr(), and WORKFLOW_TYPE_STRING.

## Member Function Documentation

## ◆ attributeDecoder()

eZFinishUserRegisterType::attributeDecoder | ( |  | $event,
|  |  | $attr
| ) |  |

Reimplemented from eZWorkflowType.

Definition at line 50 of file ezfinishuserregistertype.php.

## ◆ attributes()

eZFinishUserRegisterType::attributes | ( |  | ) |

Reimplemented from eZWorkflowType.

Definition at line 55 of file ezfinishuserregistertype.php.

References eZWorkflowType\attributes().

## ◆ execute()

eZFinishUserRegisterType::execute | ( |  | $process,
|  |  | $event
| ) |  |

Reimplemented from eZWorkflowType.

Definition at line 26 of file ezfinishuserregistertype.php.

References eZOperationHandler\execute(), and eZContentObject\fetch().

## ◆ typeFunctionalAttributes()

eZFinishUserRegisterType::typeFunctionalAttributes | ( |  | ) |

Reimplemented from eZWorkflowType.

Definition at line 40 of file ezfinishuserregistertype.php.

## Member Data Documentation

## ◆ WORKFLOW_TYPE_STRING

const eZFinishUserRegisterType::WORKFLOW_TYPE_STRING = "ezfinishuserregister"

Definition at line 18 of file ezfinishuserregistertype.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- ezfinishuserregistertype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.